spack:
  specs:
    - openblas@0.3.18 target=skylake
    - netcdf-fortran@4.5.2 target=skylake
    - netcdf-c@4.7.4+parallel-netcdf target=skylake
    - hdf5@1.12.1+mpi+fortran+hl+threadsafe+szip target=skylake
    - openmpi@4.1.1+legacylaunchers+pmi fabrics=ucx schedulers=slurm  target=skylake
    - ucx@1.11.2 +thread_multiple+pic+rc+dm+dc+ud+cma target=skylake

  container:
    images:
      os: "centos:8"
      spack: 0.19.0

    format: singularity

    strip: true

    os_packages:
      final:
      - gcc
      - gcc-gfortran

    labels:
      mpi: "openmpi@4.1.1"
      netcdf: "4.7.4"
      hdf5: "1.12.1"
      ucx: "1.11.2+ud"
